using System;

internal sealed class Delegate509 : MulticastDelegate
{
	public extern void Invoke(string string_0);

	public static void smethod_0(string string_0, Delegate509 delegate509_1)
	{
		delegate509_1(string_0);
	}

	public extern Delegate509(object object_0, IntPtr intptr_0);

	static Delegate509()
	{
		Class10.smethod_13(typeof(Delegate509).TypeHandle);
	}

	internal static Delegate509 delegate509_0;
}
